Category=Database Maintenance
Name=07.2. Migrate- New Live Index Data to BiblicalContent
Description=Grabs data saved to live index table and imports it to populate the BiblicalContent table

Heading=Import New Live Index Data Into BiblicalContent

OutputLevel=1
ImportSQL= SELECT DISTINCT	\
	\
DOCUMENTID,			\
PAGEID			\
		\
from BIBLICALCONTENTSAVE|	\
DELETE FROM BIBLICALCONTENT 	\
		\
WHERE DOCUMENTID={0} AND PAGEID={1}

ImportSQL2= SELECT	\
	\
VERSE,			\
DOCUMENTID,			\
PAGEID,			\
USERID			\
		\
from BIBLICALCONTENTSAVE|	\
INSERT INTO BIBLICALCONTENT (	\
		\
VERSE,			\
DOCUMENTID,			\
PAGEID,			\
USERID			\
	\
) VALUES ({0}, {1}, {2}, '{3}')

IgnoreException=Error Code: 1146
IgnoreException2=Error Code: 1146
